Distribution:   CCux-Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gsl
Summary:        GNU Scientific Library (GSL)
Version:	1.9
Release:	2
License:	GNU/GPL
URL:		http://www.gnu.org/software/gsl/gsl.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
The GNU Scientific Library (GSL) is a numerical library for C and
C++ programmers.  It contains over 1000 mathematical routines written
in ANSI C.  The library follows modern coding conventions, and lends
itself to being used in very high level languages (VHLLs).

The library covers the following subject areas:

  Complex Numbers             Roots of Polynomials     Special Functions
  Vectors and Matrices        Permutations             Sorting
  BLAS Support                Linear Algebra           Eigensystems
  Fast Fourier Transforms     Quadrature               Random Numbers
  Quasi-Random Sequences      Random Distributions     Statistics
  Histograms                  N-Tuples                 Monte Carlo Integration
  Simulated Annealing         Differential Equations   Interpolation
  Numerical Differentiation   Chebyshev Approximation  Series Acceleration
  Discrete Hankel Transforms  Root-Finding             Minimization
  Least-Squares Fitting       Physical Constants       IEEE Floating-Point

Further information can be found in the GSL Reference Manual.
Copyright (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
2006, 2007 The GSL Team.

Install the gsl package if you need a library for high-level
scientific numerical analysis.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/gsl-ref.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --delete %_infodir/gsl-ref.info.gz %_infodir/dir
fi

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS"
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%_prefix bindir=$RPM_BUILD_ROOT%_bindir \
    mandir=$RPM_BUILD_ROOT%_mandir libdir=$RPM_BUILD_ROOT%_libdir \
    localstatedir=$RPM_BUILD_ROOT%_localstatedir \
    datadir=$RPM_BUILD_ROOT%_datadir \
    includedir=$RPM_BUILD_ROOT%_includedir \
    sysconfdir=$RPM_BUILD_ROOT%_sysconfdir \
    infodir=$RPM_BUILD_ROOT%_infodir install
# removing of %_infodir/dir
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%doc {NEWS,ChangeLog,INSTALL,README,AUTHORS,THANKS,SUPPORT,BUGS}
%_infodir
%_bindir/gsl-config
%_bindir/gsl-histogram
%_bindir/gsl-randist
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig
%_aclocal
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.9-2
- fixed installing info files
* Fri Aug 24 2007 Christian Wasem <wasem@ccux-linux.de> 1.9-1
- Initial Release 
